Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# TestSymbols Class Reference

`#include <TestSymbols.h>`

Inheritance diagram for TestSymbols:

[legend]
Collaboration diagram for TestSymbols:

[legend]
List of all members.

## Public Member Functions
| TestSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
double | sendKickRecord ()
## Private Attributes
bool | disableCarryBall
| Disables the ball carrying.
bool | useSlowCarryBall
| Use the slow variant of carry ball.
bool | disableKicking
| disables the kicking
KickCase | kick
double | kickID

## Constructor & Destructor Documentation

TestSymbols::TestSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 13 of file TestSymbols.cpp.

## Member Function Documentation

void TestSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 22 of file TestSymbols.cpp. References KickCase::ballTR, KickCase::ballTS, KickCase::ballXA, KickCase::ballXR, KickCase::ballXS, KickCase::ballYA, KickCase::ballYR, KickCase::ballYS, disableCarryBall, disableKicking, SystemCall::getCurrentSystemTime(), kickID, Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputFunction(), Xabsl2Symbols::registerDecimalInputFunctionParameter(), sendKickRecord(), KickCase::tA, and useSlowCarryBall. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void TestSymbols::update | ( |  | ) |

| updates the symbols Definition at line 76 of file TestSymbols.cpp. References DEBUG_RESPONSE, disableCarryBall, disableKicking, and useSlowCarryBall. Referenced by GT2005BehaviorControl::execute().

double TestSymbols::sendKickRecord | ( |  | ) |

| Definition at line 86 of file TestSymbols.cpp. References idKickRecord, idText, kickID, and OUTPUT. Referenced by registerSymbols().

## Member Data Documentation

bool TestSymbols::disableCarryBall`[private]`

| Disables the ball carrying. Definition at line 40 of file TestSymbols.h. Referenced by registerSymbols(), and update().

bool TestSymbols::useSlowCarryBall`[private]`

| Use the slow variant of carry ball. Definition at line 43 of file TestSymbols.h. Referenced by registerSymbols(), and update().

bool TestSymbols::disableKicking`[private]`

| disables the kicking Definition at line 46 of file TestSymbols.h. Referenced by registerSymbols(), and update().

KickCase TestSymbols::kick`[private]`

| Definition at line 48 of file TestSymbols.h.

double TestSymbols::kickID`[private]`

| Definition at line 49 of file TestSymbols.h. Referenced by registerSymbols(), and sendKickRecord().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005Symbols/TestSymbols.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005Symbols/TestSymbols.cpp